[arch-commits] Commit in rrdtool/trunk (PKGBUILD)

Antonio Rojas arojas at archlinux.org
Fri Apr 12 18:25:26 UTC 2019


    Date: Friday, April 12, 2019 @ 18:25:26
  Author: arojas
Revision: 350645

Update to 1.7.1

Modified:
  rrdtool/trunk/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2019-04-12 18:07:43 UTC (rev 350644)
+++ PKGBUILD	2019-04-12 18:25:26 UTC (rev 350645)
@@ -1,11 +1,11 @@
 # Maintainer: Eric Bélanger <eric at archlinux.org>
 
 pkgname=rrdtool
-pkgver=1.7.0
-pkgrel=6
+pkgver=1.7.1
+pkgrel=1
 pkgdesc="Data logging and graphing application"
 arch=('x86_64')
-url="http://www.rrdtool.org"
+url="https://www.rrdtool.org"
 license=('GPL' 'custom')
 depends=('libxml2' 'pango' 'ttf-dejavu')
 makedepends=('intltool' 'ruby' 'python2-setuptools' 'tcl' 'lua51')
@@ -15,12 +15,16 @@
             'ruby: to use corresponding binding'
             'lua51: to use corresponding binding')
 options=('!emptydirs' '!makeflags')
-source=(http://oss.oetiker.ch/rrdtool/pub/rrdtool-${pkgver}.tar.gz)
-sha1sums=('15a2009e2ee67eb41a2598d1a0f1f7cf1a651c78')
+source=(https://oss.oetiker.ch/rrdtool/pub/rrdtool-${pkgver}.tar.gz
+        rrdtool-fix-build.patch::"https://github.com/oetiker/rrdtool-1.x/commit/865a9bad.patch")
+sha256sums=('989b778eda6967aa5192c73abafe43e7b10e6100776971a7e79d249942781aae'
+            'ff415f4f52353dc5685c21ddbad74995f1ca4454348e52a07096aceac5089284')
 
 prepare() {
   cd ${pkgname}-${pkgver}
   sed -i 's|/usr/bin/python|/usr/bin/python2|' examples/stripes.py
+
+  patch -p1 -i ../rrdtool-fix-build.patch
   # fix FS#28521 make ruby install to vendor_ruby instead of site_ruby
   sed -e 's/$(RUBY) ${abs_srcdir}\/ruby\/extconf.rb/& --vendor/' -i bindings/Makefile.am
   aclocal
@@ -35,7 +39,7 @@
     --enable-perl --enable-perl-site-install --with-perl-options='INSTALLDIRS=vendor' \
     --enable-ruby --enable-ruby-site-install --enable-python \
     --enable-lua --enable-lua-site-install --enable-tcl --disable-libwrap
-  make LIBS+="-lglib-2.0"
+  make
 }
 
 package() {


More information about the arch-commits mailing list